> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.tarla.io/llms.txt
> Use this file to discover all available pages before exploring further.

# İlçe ve Bölgeye Göre İstasyonları Bul



## OpenAPI

````yaml tr/open-api/mgm-stations-v1.json post /v1/mgm-stations/by/city-district
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://risk-api.tarla.io
    description: Production server
  - url: https://risk-api-test.tarla.io
    description: Test server
security: []
tags:
  - name: MGM İstasyon Verileri API'si
    description: >-
      MGMden günlük toplam yağış miktarı, en yüksek ve en düşük hava
      sıcaklıkları ile en düşük toprak üstü sıcaklık değerinin sorgulandığı web
      servisidir
paths:
  /v1/mgm-stations/by/city-district:
    post:
      tags:
        - MGM İstasyon Verileri API'si
      summary: İlçe ve Bölgeye Göre İstasyonları Bul
      operationId: getStationsByCityAndDistrict
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StationsByCityAndDistrictRequest'
        required: true
      responses:
        '200':
          description: Başarılı
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Station'
        '400':
          description: Hatalı İstek
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '401':
          description: Yetkisiz
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '403':
          description: Yasak
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
components:
  schemas:
    StationsByCityAndDistrictRequest:
      type: object
      properties:
        city:
          type: string
          description: Şehir adı gereklidir. ‘get-cities’ metodundan şehir adlarını bulun.
          minLength: 1
        district:
          type: string
          description: >-
            İlçe adı isteğe bağlıdır. ‘get-districts-of’ metodundan ilçe
            adlarını bulun.
        limit:
          type: integer
          format: int32
          description: Cevaptaki kayıt sınırı
          maximum: 100
          minimum: 1
      required:
        - city
        - limit
    Station:
      type: object
      description: Konumu ve adıyla bir hava istasyonunu temsil eder
      properties:
        stationId:
          type: integer
          format: int32
          description: Hava istasyonunun benzersiz kimliği
        stationName:
          type: string
          description: Hava istasyonunun adı
        latitude:
          type: number
          format: double
          description: İstasyonun enlem koordinatı
        longitude:
          type: number
          format: double
          description: İstasyonun boylam koordinatı
        city:
          type: string
          description: İstasyonun bulunduğu il
        district:
          type: string
          description: İstasyonun bulunduğu ilçe
    StandardErrorResponse:
      type: object
      description: Standart API hata cevabı yapısı
      properties:
        timestamp:
          type: string
          format: date-time
          description: Hatanın oluştuğu zaman damgası
        status:
          type: integer
          format: int32
          description: HTTP durum kodu
        error:
          type: string
          description: Hata adı veya tipi
        message:
          type: string
          description: Ana hata mesajı
        messages:
          type: array
          description: Ek detaylı hata mesajları
          items:
            type: string
        path:
          type: string
          description: Hatanın oluştuğu istek yolu

````